<Project Sdk="Microsoft.NET.Sdk.Web">

  <Import Project="..\build\common.targets" />

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>..\Tiobon.Core.Gateway\Tiobon.Core.Gateway.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Extensions\ApiResponseHandler.cs" />
    <Compile Remove="Helper\HeaderDelegatingHandler.cs" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="index.html" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="index.html" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="8.0.0" NoWarn="NU1605" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.OpenIdConnect" Version="8.0.0" NoWarn="NU1605" />
    <PackageReference Include="Microsoft.AspNetCore.SpaServices.Extensions" Version="8.0.0" />
    <PackageReference Include="Ocelot" Version="20.0.0" />
    <PackageReference Include="Ocelot.Provider.Consul" Version="20.0.0" />
    <PackageReference Include="Ocelot.Provider.Polly" Version="20.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Tiobon.Core.Extensions\Tiobon.Core.Extensions.csproj" />
    <ProjectReference Include="..\Tiobon.Core.Model\Tiobon.Core.Model.csproj" />
  </ItemGroup>

</Project>
